// ====================================================================
//  Class:  TabsTut.TabTut_Gametype
//  Parent: Botpack.DeathMatchPlus
//
//  We need a gametype to see the tab. Just a simple gametype.
//  It show the values that we can change on the tab when someone
//  is killed in the Talk window.
//
// This class is made for the Tabs tutorial. 
// This tutorial can be found at http://home.ict.nl/~mweterin/unreal
//
// You are allowed to use and modify this class without my permission.
// ====================================================================

// Note the config at the end. It says: "Store my config vars in the UT.ini file"
class TabTut_Gametype extends DeathMatchPlus config;

// These two variables should be read from the ini-file, so declare them config
var config bool bSomeBool;

function ScoreKill(pawn Killer, pawn Other)
{
	Super.ScoreKill(Killer, Other);
	
	// Someone is killed. Just broadcast the variables to everyone
	BroadcastMessage("bShowMessage: " @ bSomeBool); 
}

defaultproperties
{
	bSomeBool=True
	RulesMenuType="TabsTut.TabTut_GameRulesSClient"
	GameName="Tabs Tutorial"
}
